Plugin error from dada2:

#1

Hi,

I am new to QIIME2 and was running the qiime2-atacama-tutorial and got the error message during the DADA2 procedure:

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-917x3iw5.log

Then I added --verbose behind the code and got the error:

qiime dada2 denoise-paired --i-demultiplexed-seqs demux.qza --p-trim-left-f 13 --p-trim-left-r 13 --p-trunc-len-f 150 --p-trunc-len-r 150 --o-table table.qza --o-representative-sequences rep-seqs.qza --o-denoising-stats denoising-stats.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpfnuzhowl/forward /tmp/tmpfnuzhowl/reverse /tmp/tmpfnuzhowl/output.tsv.biom /tmp/tmpfnuzhowl/track.tsv /tmp/tmpfnuzhowl/filt_f /tmp/tmpfnuzhowl/filt_r 150 150 13 13 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Traceback (most recent call last):
    File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command β€˜[β€˜run_dada_paired.R’, β€˜/tmp/tmpfnuzhowl/forward’, β€˜/tmp/tmpfnuzhowl/reverse’, β€˜/tmp/tmpfnuzhowl/output.tsv.biom’, β€˜/tmp/tmpfnuzhowl/track.tsv’, β€˜/tmp/tmpfnuzhowl/filt_f’, β€˜/tmp/tmpfnuzhowl/filt_r’, β€˜150’, β€˜150’, β€˜13’, β€˜13’, β€˜2.0’, β€˜2’, β€˜consensus’, β€˜1.0’, β€˜1’, β€˜1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File β€œ</home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/decorator.py:decorator-gen-442>”, line 2, in denoise_paired
File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File β€œ/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

Can you please help me with debug? Thank you!

0 Likes

(Mehrbod Estaki) #2

Hi @ihl216,
The return code -9 from DADA2 is very common around here often happening due to memory issues, as in lack of sufficient memory from your machine. A quick search of the the error on the forum comes up with loads of examples and solutions which I would recommend looking through for a solution.

0 Likes

#3

Hi @Mehrbod_Estaki,

Thanks for pointing me toward the right direction. I increased the memory amount till 15 GB then DADA2 worked! Thank you so much!

2 Likes